<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.order.mapper.PurchaseOrderCommodityMapper">

	<resultMap id="BaseResultMap" type="com.trade.service.order.domain.PurchaseOrderCommodity">
		<id column="amount" property="amount" />
		<id column="currency" property="currency" />
		<id column="deleted" property="deleted" />
		<id column="gmt_create" property="gmtCreate" />
		<id column="gmt_modified" property="gmtModified" />
		<id column="hs_code" property="hsCode" />
		<id column="id" property="id" />
		<id column="measurement_unit" property="measurementUnit" />
		<id column="name" property="name" />
		<id column="number" property="number" />
		<id column="pack_spec" property="packSpec" />
		<id column="price_unit" property="priceUnit" />
		<id column="purchase_order_id" property="purchaseOrderId" />
        <id column="sales_commodity_id" property="salesCommodityId" />
		<id column="tax_refund_rate" property="taxRefundRate" />
        <id column="model" property="model"/>
	</resultMap>
	<sql id="Base_Column_List">
		amount, currency, deleted, gmt_create, gmt_modified, hs_code, id, measurement_unit, name, number, pack_spec, price_unit, purchase_order_id, sales_commodity_id, tax_refund_rate, model
	</sql>

</mapper>